%define qtdir /usr/lib/qt-1.45

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Version: 1.1
Release: 1
Source: http://fara3.cs.uni-potsdam.de/~smeier/kdevelop_home/kdevelop-%{version}-20000215.tar.bz2
Source1: ftp://ftp.e-technik.fh-muenchen.de/pub/unix/ide/KDevelop/documentation/c_c++_reference.tar.gz
Patch: kdevelop-alpha.patch
URL: http://www.kdevelop.org/
Group: Development/Tools
BuildRoot: /var/tmp/%{name}-buildroot
License: GPL
Requires: kdesupport-devel kdelibs-devel make perl >= 5.004 autoconf >= 2.13
Requires: automake >= 1.4 flex >= 2.5.4
BuildPrereq: autoconf, automake, libtool, kdesupport-devel, kdelibs-devel
Prefix: /usr
Obsoletes: kdevelop-c_c++_ref
DocDir: /usr/share/doc

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch
# fix up documentation path
perl -pi -e "s,share/doc/HTML,doc/kde/HTML,g" kdevelop.m4 acinclude.m4.in
make -f Makefile.cvs

%build
export QTDIR=%{qtdir}
export KDEDIR=%{prefix}
CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG" ./configure \
	--prefix=%{prefix} \
	--with-qtdoc-dir=/usr/doc/qt1x-devel-1.45 \
	--with-kdelibsdoc-dir=/usr/doc/kdelibs-devel-1.1.2 \
	--with-kdocindex-dir=/usr/doc/kdelibs-devel-1.1.2 \
	--enable-kdoc2

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

(
	cd $RPM_BUILD_ROOT
	tar xzf %{SOURCE1}
	rm -rf .%{prefix}/share/doc/HTML/*/kdevelop/reference
	mv share/doc/HTML/en/kdevelop/reference .%{prefix}/share/doc/HTML/en/kdevelop
	rm -rf share
)

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir /usr/doc/kde" >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file

* Fri Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq

* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release

* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
